> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/account.md).

# Account

Manage accounts in VARIO Cloud, including addresses, contacts, bank details, relations, listings, duplicates, output rules, and account updates.

the Account API

## GET /erp/accounts/{id}/output-rule/{ruleid}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/{id}/output-rule/{ruleid}":{"get":{"tags":["account"],"operationId":"readRuleById","parameters":[{"name":"id","in":"path","description":"Account identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ruleid","in":"path","description":"Rule identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-account-AccountOutputRule"}}}}}}}},"components":{"schemas":{"erp-account-AccountOutputRule":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"moduleRef":{"$ref":"#/components/schemas/common-output-OutputModuleRef"},"outputModuleRule":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"sourceOutputTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetOutputTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetReportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"extensionType":{"type":"string","description":"Extension Type","enum":["ACCOUNT_MAIL","ACCOUNT_PHONE"]},"outputQuantity":{"type":"integer","format":"int32","description":"Number of outputs.","minimum":1},"ruleContacts":{"type":"array","description":"Contact references for the OutputRule extension.","items":{"$ref":"#/components/schemas/erp-account-AccountOutputRuleContact"}}},"required":["moduleRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-output-OutputModuleRef":{"description":"print module key","properties":{"key":{"type":"string","description":"output module key"},"label":{"type":"string","description":"output module label"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-account-AccountOutputRuleContact":{"description":"Contact references for the OutputRule extension.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"contactRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"recipientType":{"type":"string","description":"How the contact is used.","enum":["TO","CC","BCC"]}},"required":["contactRef"]}}}}
```

## PUT /erp/accounts/{id}/output-rule/{ruleid}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/{id}/output-rule/{ruleid}":{"put":{"tags":["account"],"operationId":"updateRule","parameters":[{"name":"id","in":"path","description":"Account identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ruleid","in":"path","description":"Rule identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-account-AccountOutputRule"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-account-AccountOutputRule"}}}}}}}},"components":{"schemas":{"erp-account-AccountOutputRule":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"moduleRef":{"$ref":"#/components/schemas/common-output-OutputModuleRef"},"outputModuleRule":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"sourceOutputTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetOutputTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetReportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"extensionType":{"type":"string","description":"Extension Type","enum":["ACCOUNT_MAIL","ACCOUNT_PHONE"]},"outputQuantity":{"type":"integer","format":"int32","description":"Number of outputs.","minimum":1},"ruleContacts":{"type":"array","description":"Contact references for the OutputRule extension.","items":{"$ref":"#/components/schemas/erp-account-AccountOutputRuleContact"}}},"required":["moduleRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-output-OutputModuleRef":{"description":"print module key","properties":{"key":{"type":"string","description":"output module key"},"label":{"type":"string","description":"output module label"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-account-AccountOutputRuleContact":{"description":"Contact references for the OutputRule extension.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"contactRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"recipientType":{"type":"string","description":"How the contact is used.","enum":["TO","CC","BCC"]}},"required":["contactRef"]}}}}
```

## DELETE /erp/accounts/{id}/output-rule/{ruleid}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/{id}/output-rule/{ruleid}":{"delete":{"tags":["account"],"operationId":"deleteRule","parameters":[{"name":"id","in":"path","description":"Account identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ruleid","in":"path","description":"Rule identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /erp/accounts/{accountId}/listings/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/{accountId}/listings/{id}":{"get":{"tags":["account"],"summary":"Find an existing Resource by identifier","operationId":"getById_79","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-account-AccountListing"}}}},"404":{"description":"Resource with given ID was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-account-AccountListing":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerListed":{"type":"boolean","default":true,"description":"Is the customer listed?"},"manufacturerListed":{"type":"boolean","default":true,"description":"Is the manufacturer listed?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["accountRef","salesChannelRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## PUT /erp/accounts/{accountId}/listings/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/{accountId}/listings/{id}":{"put":{"tags":["account"],"summary":"Update existing Resource ","operationId":"update_82","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-account-AccountListing"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-account-AccountListing"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-account-AccountListing":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerListed":{"type":"boolean","default":true,"description":"Is the customer listed?"},"manufacturerListed":{"type":"boolean","default":true,"description":"Is the manufacturer listed?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["accountRef","salesChannelRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## DELETE /erp/accounts/{accountId}/listings/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/{accountId}/listings/{id}":{"delete":{"tags":["account"],"summary":"Delete an existing Resource","operationId":"delete_78","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/accounts/duplicates/{targetAccount}/deduplicate/{sourceAccount}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/duplicates/{targetAccount}/deduplicate/{sourceAccount}":{"put":{"tags":["account"],"operationId":"manualDeduplicateTwoAccounts","parameters":[{"name":"targetAccount","in":"path","description":"The target Account that will remain after deduplication","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"sourceAccount","in":"path","description":"The source Account whose data will be merged into the target, and which will then be deleted","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-account-Account"}}}}}}}},"components":{"schemas":{"erp-account-Account":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"types":{"type":"array","description":"list of types, this account is used for (e.g. CUSTOMER, SUPPLIER, ","items":{"type":"string","description":"list of types, this account is used for (e.g. CUSTOMER, SUPPLIER, ","enum":["CUSTOMER","SUPPLIER","MANUFACTURER","SERVICE_PROVIDER","MERCHANT","SALES_AGENT","COMPANY","PROSPECTIVE"]}},"number":{"type":"string","description":"Address number."},"displayName":{"type":"string","description":"Display name.","readOnly":true},"active":{"type":"boolean","default":true,"description":"Is account active?","readOnly":true},"taxNumber":{"type":"string","description":"Tax number.","maxLength":255,"minLength":0},"remark":{"type":"string","description":"Remark.","maxLength":1024,"minLength":0},"note":{"type":"string","description":"Note."},"companyLegalRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"initialContactTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"address":{"$ref":"#/components/schemas/erp-account-AccountAddress"},"person":{"$ref":"#/components/schemas/erp-account-AccountPerson"},"addresses":{"type":"array","description":"All addresses except the default address.","items":{"$ref":"#/components/schemas/erp-account-AccountAddress"}},"persons":{"type":"array","description":"Contact person.","items":{"$ref":"#/components/schemas/erp-account-AccountPerson"}},"customer":{"$ref":"#/components/schemas/erp-account-Customer"},"supplier":{"$ref":"#/components/schemas/erp-account-Supplier"},"salesAgent":{"$ref":"#/components/schemas/erp-account-SalesAgent"},"manufacturer":{"$ref":"#/components/schemas/erp-account-AccountManufacturer"},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"localCourt":{"type":"string","description":"Competent local court.","maxLength":255,"minLength":0},"companyRegister":{"type":"string","description":"Commercial register identifier.","maxLength":255,"minLength":0},"costCenter":{"type":"string","description":"Cost center."},"languageCode":{"type":"string","description":"Account language."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"reportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"initialContactAt":{"type":"string","format":"date","description":"Initial contact at."},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Is the tax liability reversed under §13b UStG?"},"afterPickingTargetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxIds":{"type":"array","description":"Tax numbers.","items":{"$ref":"#/components/schemas/erp-account-TaxIdForeignCountry"}},"relations":{"type":"array","description":"Account relations.","items":{"$ref":"#/components/schemas/erp-account-AccountRelation"}},"dunningBlock":{"type":"boolean","default":false,"description":"Dunning block."},"payablesSum":{"type":"number","description":"Total payables.","readOnly":true},"payablesSumCurrencyCode":{"type":"string","description":"Total payables currency (ISO Alpha-3).","readOnly":true},"anonymized":{"type":"boolean","description":"Is the account anonymized?","readOnly":true},"receivablesSum":{"type":"number","description":"Total receivables.","readOnly":true},"receivablesSumCurrencyCode":{"type":"string","description":"Total receivables currency (ISO Alpha-3).","readOnly":true},"loanValue":{"$ref":"#/components/schemas/erp-account-AccountLoanValue"},"loanCurrencyCode":{"type":"string","description":"Credit limit currency (ISO Alpha-3).","readOnly":true},"accountZoneId":{"type":"string","description":"Account time zone (or time zone offset).","enum":["ACT","AET","AGT","ART","AST","BET","BST","CAT","CNT","CST","CTT","EAT","ECT","IET","IST","JST","MIT","NET","NST","PLT","PNT","PRT","PST","SST","VST","EST","MST","HST"]},"calculationMode":{"type":"string","description":"calculation mode of this document","enum":["HORIZONTAL","VERTICAL"]},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"hasActiveDuplicates":{"type":"boolean","default":false,"description":"Has this Account a possible duplicate"},"businessRelationType":{"type":"string","description":"Business relation types for accounts.","enum":["B2B","B2C","B2G"]}},"required":["address","businessRelationType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-account-AccountAddress":{"description":"All addresses except the default address.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutationRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"titleRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"name1":{"type":"string","description":"Name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"Name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"Name3","maxLength":255,"minLength":0},"defaultAddress":{"type":"boolean","default":false,"description":"is this the default address of the account","readOnly":true},"types":{"type":"array","description":"the kind of usages for this address","items":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"street":{"type":"string","description":"Street","maxLength":255,"minLength":0},"globalLocationNumber":{"type":"string","description":"GLN/ILN as location identifier for this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"Street address number","maxLength":255,"minLength":0},"additionalAddressLine1":{"type":"string","description":"Additional address line1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"Additional address line2","maxLength":255,"minLength":0},"city":{"type":"string","description":"City","maxLength":255,"minLength":0},"postcode":{"type":"string","description":"Postcode","maxLength":255,"minLength":0},"en16931Profile":{"type":"string","description":"EN16931 profile.","enum":["ZUGFERD","XRECHNUNG","NO_EN_PROFILE"]},"taxIdentificationNumber":{"type":"string","description":"Tax identification number (VAT ID).","maxLength":255,"minLength":0},"taxIdVerificationState":{"type":"string","description":"Validation status of the tax identification number.","enum":["NOT_YET_VERIFIED","VALID","VALID_WITH_INVALID_ADDRESS","INVALID","NOT_NEEDED"],"readOnly":true},"homepageUrl":{"type":"string","description":"Homepage URL"},"regionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"countryCode":{"type":"string","description":"Country code"},"longitude":{"type":"number","format":"double","description":"Longitude"},"latitude":{"type":"number","format":"double","description":"latitude"},"remark":{"type":"string","description":"Special remark.","maxLength":1024,"minLength":0},"postOfficeBox":{"type":"string","description":"Post office box","maxLength":255,"minLength":0},"buyerReference":{"type":"string","description":"Leitweg-ID","maxLength":255,"minLength":0},"eoriNumber":{"type":"string","description":"EORI number.","maxLength":255,"minLength":0},"contacts":{"type":"array","description":"Contacts","items":{"$ref":"#/components/schemas/erp-account-Contact"}},"defaultContacts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-account-Contact"},"description":"Default contacts","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"calculationMode":{"type":"string","description":"calculation mode of this address","enum":["HORIZONTAL","VERTICAL"]},"deviatingPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deviatingPaymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deviatingDeliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deviatingDeliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"languageCode":{"type":"string","description":"Address language."},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultForType":{"type":"boolean","default":false,"description":"Default for the account type."}},"required":["name1"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-account-Contact":{"description":"Default contacts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"value":{"type":"string","description":"A Value","maxLength":255,"minLength":0},"typeId":{"type":"string","description":"Type identifier"},"type":{"type":"string","description":"Contact type","enum":["PHONE","SOCIAL","EMAIL","FAX","SKYPE","MS_TEAMS","CUSTOM","MOBILE"]},"label":{"type":"string","description":"Contact label","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"default":{"type":"boolean","default":false,"description":"Is default contact?"}},"required":["value"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-account-AccountPerson":{"description":"Contact person.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","maxLength":255,"minLength":0},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"comment":{"type":"string","description":"Comment."},"salutationRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"titleRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"firstName":{"type":"string","description":"First name","maxLength":255,"minLength":0},"middleName":{"type":"string","description":"Middle name","maxLength":255,"minLength":0},"lastName":{"type":"string","description":"Lastname","maxLength":255,"minLength":0},"gender":{"type":"string","description":"Gender","enum":["MALE","FEMALE","ETC"]},"locale":{"type":"string","description":"Locale","maxLength":255,"minLength":0},"jobArea":{"type":"string","description":"Job area","maxLength":255,"minLength":0},"jobTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"dateOfBirth":{"type":"string","format":"date","description":"Date of birth"},"sortOrder":{"type":"integer","format":"int64","description":"Sort order."},"remark":{"type":"string","description":"Special remark.","maxLength":1024,"minLength":0},"contacts":{"type":"array","description":"List of contacts","items":{"$ref":"#/components/schemas/erp-account-Contact"}},"defaultContacts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-account-Contact"},"description":"Default contacts","readOnly":true},"initialContactTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"initialContactAt":{"type":"string","format":"date","description":"Initial contact at."},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this active?","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"defaultPerson":{"type":"boolean","default":false,"description":"Default contact person.","readOnly":true}},"required":["lastName"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"erp-account-Customer":{"description":"Customer of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"number of customer","maxLength":255,"minLength":0},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"accountingNumber":{"type":"string","description":"finance account-number of customer","maxLength":255,"minLength":0},"taxable":{"type":"boolean","default":true,"description":"Taxable or tax free."},"deliveryBlocked":{"type":"boolean","default":false,"description":"Does the customer have a delivery block?"},"billingType":{"type":"string","description":"presetting of billing type","enum":["GROSS","NET"]},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productPriceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"stackProcessingType":{"type":"string","description":"Batch processing information for orders.","enum":["ACCORDING_TO_CRITERIA","ONLY_FULL_ORDER","ONLY_FULL_ORDER_LINES","AVAILABLE_QUANTITIES","NO_PROCESSING","FULL_ORDER_LINES_MAX_TWO_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_TWO_PARTIAL_DELIVERIES","FULL_ORDER_LINES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_FINISH_ORDER"]},"stackProcessingPriority":{"type":"integer","format":"int32","description":"Priority for the batch processing."},"maxDeliveries":{"type":"integer","format":"int32","description":"Maximum possible deliveries."},"ourNumber":{"type":"string","description":"customers number for us"},"maximalLoan":{"type":"number","description":"Credit limit.","minimum":0},"performanceCountryCode":{"type":"string","description":"country code performance country IsoAlpha3"},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"collectiveBillable":{"type":"boolean","default":false,"description":"collective billable"},"collectiveInvoiceManually":{"type":"boolean","default":true,"description":"Trigger the collective billing manually only?"},"dueDateCalculation":{"type":"string","description":"Cron expression for calculating the collective billing."},"dueDate":{"type":"string","format":"date","description":"Next collective billing due date."},"nextDueDate":{"type":"string","format":"date","description":"Next due date after the current one."}}},"erp-account-Supplier":{"description":"Supplier of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountingNumber":{"type":"string","description":"finance account-number of supplier","maxLength":255,"minLength":0},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"dunning":{"type":"boolean","default":false,"description":"Should this be dunned?"},"number":{"type":"string","description":"number of supplier","maxLength":255,"minLength":0},"ourNumber":{"type":"string","description":"suppliers number for us","maxLength":255,"minLength":0},"billingType":{"type":"string","description":"Billing type, net or gross.","enum":["GROSS","NET"]},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderBlocked":{"type":"boolean","default":false,"description":"Order block."},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultDeliveryTime":{"type":"integer","format":"int32","description":"Delivery time in (working) days."},"performanceCountryCode":{"type":"string","description":"country code performance country IsoAlpha3"},"taxable":{"type":"boolean","default":true,"description":"Taxable or tax free."},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"permissibleForOrderProposal":{"type":"boolean","default":true,"description":"Eligible for inclusion in order proposals."},"minimumOrderValue":{"type":"number","description":"Minimum order value."},"freeShippingValue":{"type":"number","description":"Free of freight costs from."},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"createCustomerDeliveryWhenDropShipping":{"type":"boolean","default":false,"description":"Creation of an outgoing delivery document for a drop shipping supplier order."},"dropShippingAllowed":{"type":"boolean","default":false,"description":"Indicates whether drop shipping is allowed."}}},"erp-account-SalesAgent":{"description":"Sales Agent of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"number":{"type":"string","description":"number of sales agent","maxLength":255,"minLength":0},"commissionType":{"type":"string","description":"commission type of sales agent","enum":["INVOICE","ORDER","PAYMENT"]},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxable":{"type":"boolean","description":"is sales agent taxable"},"accountingNumber":{"type":"string","description":"accounting number"},"billingType":{"type":"string","description":"billing type","enum":["GROSS","NET"]},"performanceCountryCode":{"type":"string","description":"country code performance country IsoAlpha3"},"note":{"type":"string","description":"Note."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["billingType","commissionType","deliveryMethodRef","deliveryTermRef","paymentMethodRef","paymentTermRef","taxRateRef","taxable"]},"erp-account-AccountManufacturer":{"description":"Manufacturer of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"labels":{"type":"array","description":"Descriptions.","items":{"$ref":"#/components/schemas/erp-account-AccountManufacturerDescription"},"minItems":1},"forcedRecommendedRetailPrice":{"type":"boolean","default":false,"description":"Is the recommended retail price mandatory?"}},"required":["labels"]},"erp-account-AccountManufacturerDescription":{"description":"Descriptions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"languageCode":{"type":"string","description":"Description language.","minLength":1},"manufacturerUrl":{"type":"string","description":"Manufacturer URL."}},"required":["label","languageCode"]},"erp-account-TaxIdForeignCountry":{"description":"Tax numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"taxId":{"type":"string","description":"Tax ID of the company in the associated country"},"countryCode":{"type":"string","description":"ISO 2 Code of the country this tax ID is used for"}}},"erp-account-AccountRelation":{"description":"Account relations.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"relatedAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"comment":{"type":"string","description":"Comment."},"relationTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["relatedAccountRef","relationTypeRef"]},"erp-account-AccountLoanValue":{"description":"Currently calculated values for the account credit limit.","properties":{"accountId":{"type":"integer","format":"int64","description":"Account."},"maximalLoan":{"type":"number","description":"Credit limit."},"currentLoan":{"type":"number","description":"Current loan."},"nonInvoicedDocumentLoan":{"type":"number","description":"Amount from orders."},"receivableLoan":{"type":"number","description":"Amount from receivables."},"payablesSum":{"type":"number","description":"Amount from payables (negative)."},"currentDocumentLoan":{"type":"number","description":"Current document amount."},"remainingLoan":{"type":"number","description":"Remaining amount until the credit limit is reached."},"exceededLoan":{"type":"number","description":"Credit amount exceeded."},"unconsideredAmount":{"type":"number","description":"Amount not taken into account."}},"required":["accountId"]}}}}
```

## PUT /erp/accounts/duplicates/{duplicateId}/toggle\_duplicate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/duplicates/{duplicateId}/toggle_duplicate":{"put":{"tags":["account"],"operationId":"toggleDuplicate","parameters":[{"name":"duplicateId","in":"path","description":"Account duplicate identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"markedNonDuplicate","in":"query","description":"Assignment of whether it is a duplicate or not.","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## PUT /erp/accounts/duplicates/{duplicateId}/deduplicateDuplicate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/duplicates/{duplicateId}/deduplicateDuplicate":{"put":{"tags":["account"],"operationId":"deduplicateDeduplicate","parameters":[{"name":"duplicateId","in":"path","description":"duplicate identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"useFirstAccountAsMainAccount","in":"query","description":"use first account as main account","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-account-Account"}}}}}}}},"components":{"schemas":{"erp-account-Account":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"types":{"type":"array","description":"list of types, this account is used for (e.g. CUSTOMER, SUPPLIER, ","items":{"type":"string","description":"list of types, this account is used for (e.g. CUSTOMER, SUPPLIER, ","enum":["CUSTOMER","SUPPLIER","MANUFACTURER","SERVICE_PROVIDER","MERCHANT","SALES_AGENT","COMPANY","PROSPECTIVE"]}},"number":{"type":"string","description":"Address number."},"displayName":{"type":"string","description":"Display name.","readOnly":true},"active":{"type":"boolean","default":true,"description":"Is account active?","readOnly":true},"taxNumber":{"type":"string","description":"Tax number.","maxLength":255,"minLength":0},"remark":{"type":"string","description":"Remark.","maxLength":1024,"minLength":0},"note":{"type":"string","description":"Note."},"companyLegalRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"initialContactTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"address":{"$ref":"#/components/schemas/erp-account-AccountAddress"},"person":{"$ref":"#/components/schemas/erp-account-AccountPerson"},"addresses":{"type":"array","description":"All addresses except the default address.","items":{"$ref":"#/components/schemas/erp-account-AccountAddress"}},"persons":{"type":"array","description":"Contact person.","items":{"$ref":"#/components/schemas/erp-account-AccountPerson"}},"customer":{"$ref":"#/components/schemas/erp-account-Customer"},"supplier":{"$ref":"#/components/schemas/erp-account-Supplier"},"salesAgent":{"$ref":"#/components/schemas/erp-account-SalesAgent"},"manufacturer":{"$ref":"#/components/schemas/erp-account-AccountManufacturer"},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"localCourt":{"type":"string","description":"Competent local court.","maxLength":255,"minLength":0},"companyRegister":{"type":"string","description":"Commercial register identifier.","maxLength":255,"minLength":0},"costCenter":{"type":"string","description":"Cost center."},"languageCode":{"type":"string","description":"Account language."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"reportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"initialContactAt":{"type":"string","format":"date","description":"Initial contact at."},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Is the tax liability reversed under §13b UStG?"},"afterPickingTargetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxIds":{"type":"array","description":"Tax numbers.","items":{"$ref":"#/components/schemas/erp-account-TaxIdForeignCountry"}},"relations":{"type":"array","description":"Account relations.","items":{"$ref":"#/components/schemas/erp-account-AccountRelation"}},"dunningBlock":{"type":"boolean","default":false,"description":"Dunning block."},"payablesSum":{"type":"number","description":"Total payables.","readOnly":true},"payablesSumCurrencyCode":{"type":"string","description":"Total payables currency (ISO Alpha-3).","readOnly":true},"anonymized":{"type":"boolean","description":"Is the account anonymized?","readOnly":true},"receivablesSum":{"type":"number","description":"Total receivables.","readOnly":true},"receivablesSumCurrencyCode":{"type":"string","description":"Total receivables currency (ISO Alpha-3).","readOnly":true},"loanValue":{"$ref":"#/components/schemas/erp-account-AccountLoanValue"},"loanCurrencyCode":{"type":"string","description":"Credit limit currency (ISO Alpha-3).","readOnly":true},"accountZoneId":{"type":"string","description":"Account time zone (or time zone offset).","enum":["ACT","AET","AGT","ART","AST","BET","BST","CAT","CNT","CST","CTT","EAT","ECT","IET","IST","JST","MIT","NET","NST","PLT","PNT","PRT","PST","SST","VST","EST","MST","HST"]},"calculationMode":{"type":"string","description":"calculation mode of this document","enum":["HORIZONTAL","VERTICAL"]},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"hasActiveDuplicates":{"type":"boolean","default":false,"description":"Has this Account a possible duplicate"},"businessRelationType":{"type":"string","description":"Business relation types for accounts.","enum":["B2B","B2C","B2G"]}},"required":["address","businessRelationType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-account-AccountAddress":{"description":"All addresses except the default address.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutationRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"titleRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"name1":{"type":"string","description":"Name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"Name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"Name3","maxLength":255,"minLength":0},"defaultAddress":{"type":"boolean","default":false,"description":"is this the default address of the account","readOnly":true},"types":{"type":"array","description":"the kind of usages for this address","items":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"street":{"type":"string","description":"Street","maxLength":255,"minLength":0},"globalLocationNumber":{"type":"string","description":"GLN/ILN as location identifier for this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"Street address number","maxLength":255,"minLength":0},"additionalAddressLine1":{"type":"string","description":"Additional address line1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"Additional address line2","maxLength":255,"minLength":0},"city":{"type":"string","description":"City","maxLength":255,"minLength":0},"postcode":{"type":"string","description":"Postcode","maxLength":255,"minLength":0},"en16931Profile":{"type":"string","description":"EN16931 profile.","enum":["ZUGFERD","XRECHNUNG","NO_EN_PROFILE"]},"taxIdentificationNumber":{"type":"string","description":"Tax identification number (VAT ID).","maxLength":255,"minLength":0},"taxIdVerificationState":{"type":"string","description":"Validation status of the tax identification number.","enum":["NOT_YET_VERIFIED","VALID","VALID_WITH_INVALID_ADDRESS","INVALID","NOT_NEEDED"],"readOnly":true},"homepageUrl":{"type":"string","description":"Homepage URL"},"regionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"countryCode":{"type":"string","description":"Country code"},"longitude":{"type":"number","format":"double","description":"Longitude"},"latitude":{"type":"number","format":"double","description":"latitude"},"remark":{"type":"string","description":"Special remark.","maxLength":1024,"minLength":0},"postOfficeBox":{"type":"string","description":"Post office box","maxLength":255,"minLength":0},"buyerReference":{"type":"string","description":"Leitweg-ID","maxLength":255,"minLength":0},"eoriNumber":{"type":"string","description":"EORI number.","maxLength":255,"minLength":0},"contacts":{"type":"array","description":"Contacts","items":{"$ref":"#/components/schemas/erp-account-Contact"}},"defaultContacts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-account-Contact"},"description":"Default contacts","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"calculationMode":{"type":"string","description":"calculation mode of this address","enum":["HORIZONTAL","VERTICAL"]},"deviatingPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deviatingPaymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deviatingDeliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deviatingDeliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"languageCode":{"type":"string","description":"Address language."},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultForType":{"type":"boolean","default":false,"description":"Default for the account type."}},"required":["name1"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-account-Contact":{"description":"Default contacts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"value":{"type":"string","description":"A Value","maxLength":255,"minLength":0},"typeId":{"type":"string","description":"Type identifier"},"type":{"type":"string","description":"Contact type","enum":["PHONE","SOCIAL","EMAIL","FAX","SKYPE","MS_TEAMS","CUSTOM","MOBILE"]},"label":{"type":"string","description":"Contact label","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"default":{"type":"boolean","default":false,"description":"Is default contact?"}},"required":["value"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-account-AccountPerson":{"description":"Contact person.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","maxLength":255,"minLength":0},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"comment":{"type":"string","description":"Comment."},"salutationRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"titleRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"firstName":{"type":"string","description":"First name","maxLength":255,"minLength":0},"middleName":{"type":"string","description":"Middle name","maxLength":255,"minLength":0},"lastName":{"type":"string","description":"Lastname","maxLength":255,"minLength":0},"gender":{"type":"string","description":"Gender","enum":["MALE","FEMALE","ETC"]},"locale":{"type":"string","description":"Locale","maxLength":255,"minLength":0},"jobArea":{"type":"string","description":"Job area","maxLength":255,"minLength":0},"jobTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"dateOfBirth":{"type":"string","format":"date","description":"Date of birth"},"sortOrder":{"type":"integer","format":"int64","description":"Sort order."},"remark":{"type":"string","description":"Special remark.","maxLength":1024,"minLength":0},"contacts":{"type":"array","description":"List of contacts","items":{"$ref":"#/components/schemas/erp-account-Contact"}},"defaultContacts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-account-Contact"},"description":"Default contacts","readOnly":true},"initialContactTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"initialContactAt":{"type":"string","format":"date","description":"Initial contact at."},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this active?","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"defaultPerson":{"type":"boolean","default":false,"description":"Default contact person.","readOnly":true}},"required":["lastName"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"erp-account-Customer":{"description":"Customer of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"number of customer","maxLength":255,"minLength":0},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"accountingNumber":{"type":"string","description":"finance account-number of customer","maxLength":255,"minLength":0},"taxable":{"type":"boolean","default":true,"description":"Taxable or tax free."},"deliveryBlocked":{"type":"boolean","default":false,"description":"Does the customer have a delivery block?"},"billingType":{"type":"string","description":"presetting of billing type","enum":["GROSS","NET"]},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productPriceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"stackProcessingType":{"type":"string","description":"Batch processing information for orders.","enum":["ACCORDING_TO_CRITERIA","ONLY_FULL_ORDER","ONLY_FULL_ORDER_LINES","AVAILABLE_QUANTITIES","NO_PROCESSING","FULL_ORDER_LINES_MAX_TWO_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_TWO_PARTIAL_DELIVERIES","FULL_ORDER_LINES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_FINISH_ORDER"]},"stackProcessingPriority":{"type":"integer","format":"int32","description":"Priority for the batch processing."},"maxDeliveries":{"type":"integer","format":"int32","description":"Maximum possible deliveries."},"ourNumber":{"type":"string","description":"customers number for us"},"maximalLoan":{"type":"number","description":"Credit limit.","minimum":0},"performanceCountryCode":{"type":"string","description":"country code performance country IsoAlpha3"},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"collectiveBillable":{"type":"boolean","default":false,"description":"collective billable"},"collectiveInvoiceManually":{"type":"boolean","default":true,"description":"Trigger the collective billing manually only?"},"dueDateCalculation":{"type":"string","description":"Cron expression for calculating the collective billing."},"dueDate":{"type":"string","format":"date","description":"Next collective billing due date."},"nextDueDate":{"type":"string","format":"date","description":"Next due date after the current one."}}},"erp-account-Supplier":{"description":"Supplier of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountingNumber":{"type":"string","description":"finance account-number of supplier","maxLength":255,"minLength":0},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"dunning":{"type":"boolean","default":false,"description":"Should this be dunned?"},"number":{"type":"string","description":"number of supplier","maxLength":255,"minLength":0},"ourNumber":{"type":"string","description":"suppliers number for us","maxLength":255,"minLength":0},"billingType":{"type":"string","description":"Billing type, net or gross.","enum":["GROSS","NET"]},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderBlocked":{"type":"boolean","default":false,"description":"Order block."},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultDeliveryTime":{"type":"integer","format":"int32","description":"Delivery time in (working) days."},"performanceCountryCode":{"type":"string","description":"country code performance country IsoAlpha3"},"taxable":{"type":"boolean","default":true,"description":"Taxable or tax free."},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"permissibleForOrderProposal":{"type":"boolean","default":true,"description":"Eligible for inclusion in order proposals."},"minimumOrderValue":{"type":"number","description":"Minimum order value."},"freeShippingValue":{"type":"number","description":"Free of freight costs from."},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"createCustomerDeliveryWhenDropShipping":{"type":"boolean","default":false,"description":"Creation of an outgoing delivery document for a drop shipping supplier order."},"dropShippingAllowed":{"type":"boolean","default":false,"description":"Indicates whether drop shipping is allowed."}}},"erp-account-SalesAgent":{"description":"Sales Agent of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"number":{"type":"string","description":"number of sales agent","maxLength":255,"minLength":0},"commissionType":{"type":"string","description":"commission type of sales agent","enum":["INVOICE","ORDER","PAYMENT"]},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxable":{"type":"boolean","description":"is sales agent taxable"},"accountingNumber":{"type":"string","description":"accounting number"},"billingType":{"type":"string","description":"billing type","enum":["GROSS","NET"]},"performanceCountryCode":{"type":"string","description":"country code performance country IsoAlpha3"},"note":{"type":"string","description":"Note."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["billingType","commissionType","deliveryMethodRef","deliveryTermRef","paymentMethodRef","paymentTermRef","taxRateRef","taxable"]},"erp-account-AccountManufacturer":{"description":"Manufacturer of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"labels":{"type":"array","description":"Descriptions.","items":{"$ref":"#/components/schemas/erp-account-AccountManufacturerDescription"},"minItems":1},"forcedRecommendedRetailPrice":{"type":"boolean","default":false,"description":"Is the recommended retail price mandatory?"}},"required":["labels"]},"erp-account-AccountManufacturerDescription":{"description":"Descriptions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"languageCode":{"type":"string","description":"Description language.","minLength":1},"manufacturerUrl":{"type":"string","description":"Manufacturer URL."}},"required":["label","languageCode"]},"erp-account-TaxIdForeignCountry":{"description":"Tax numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"taxId":{"type":"string","description":"Tax ID of the company in the associated country"},"countryCode":{"type":"string","description":"ISO 2 Code of the country this tax ID is used for"}}},"erp-account-AccountRelation":{"description":"Account relations.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"relatedAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"comment":{"type":"string","description":"Comment."},"relationTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["relatedAccountRef","relationTypeRef"]},"erp-account-AccountLoanValue":{"description":"Currently calculated values for the account credit limit.","properties":{"accountId":{"type":"integer","format":"int64","description":"Account."},"maximalLoan":{"type":"number","description":"Credit limit."},"currentLoan":{"type":"number","description":"Current loan."},"nonInvoicedDocumentLoan":{"type":"number","description":"Amount from orders."},"receivableLoan":{"type":"number","description":"Amount from receivables."},"payablesSum":{"type":"number","description":"Amount from payables (negative)."},"currentDocumentLoan":{"type":"number","description":"Current document amount."},"remainingLoan":{"type":"number","description":"Remaining amount until the credit limit is reached."},"exceededLoan":{"type":"number","description":"Credit amount exceeded."},"unconsideredAmount":{"type":"number","description":"Amount not taken into account."}},"required":["accountId"]}}}}
```

## PUT /erp/accounts/{id}/subscription/deactivate

> Remove a subscription on the business object for the caller

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/{id}/subscription/deactivate":{"put":{"tags":["account"],"summary":"Remove a subscription on the business object for the caller","operationId":"deregisterSubscription_3","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## PUT /erp/accounts/{id}/subscription/activate

> Set a subscription on the business object for the caller

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/{id}/subscription/activate":{"put":{"tags":["account"],"summary":"Set a subscription on the business object for the caller","operationId":"registerSubscription_3","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /erp/accounts/{id}/relations/{relationId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/{id}/relations/{relationId}":{"get":{"tags":["account"],"operationId":"getRelation","parameters":[{"name":"id","in":"path","description":"identifier of account","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"relationId","in":"path","description":"identifier of relation","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-account-AccountRelation"}}}}}}}},"components":{"schemas":{"erp-account-AccountRelation":{"description":"Account relations.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"relatedAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"comment":{"type":"string","description":"Comment."},"relationTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["relatedAccountRef","relationTypeRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}}}}}
```

## PUT /erp/accounts/{id}/relations/{relationId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/{id}/relations/{relationId}":{"put":{"tags":["account"],"operationId":"updateRelation","parameters":[{"name":"id","in":"path","description":"identifier of account","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"relationId","in":"path","description":"identifier of relation","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-account-AccountRelation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-account-AccountRelation"}}}}}}}},"components":{"schemas":{"erp-account-AccountRelation":{"description":"Account relations.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"relatedAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"comment":{"type":"string","description":"Comment."},"relationTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["relatedAccountRef","relationTypeRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}}}}}
```

## DELETE /erp/accounts/{id}/relations/{relationId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/{id}/relations/{relationId}":{"delete":{"tags":["account"],"operationId":"deleteRelation","parameters":[{"name":"id","in":"path","description":"identifier of account","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"relationId","in":"path","description":"identifier of relation","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## PUT /erp/accounts/{id}/persons/{personId}/deactivate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"account","description":"the Account API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/accounts/{id}/persons/{personId}/deactivate":{"put":{"tags":["account"],"operationId":"deactivateAccountPerson","parameters":[{"name":"id","in":"path","description":"account identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"personId","in":"path","description":"person identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-account-AccountPerson"}}}}}}}},"components":{"schemas":{"erp-account-AccountPerson":{"description":"Contact person.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","maxLength":255,"minLength":0},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"comment":{"type":"string","description":"Comment."},"salutationRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"titleRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"firstName":{"type":"string","description":"First name","maxLength":255,"minLength":0},"middleName":{"type":"string","description":"Middle name","maxLength":255,"minLength":0},"lastName":{"type":"string","description":"Lastname","maxLength":255,"minLength":0},"gender":{"type":"string","description":"Gender","enum":["MALE","FEMALE","ETC"]},"locale":{"type":"string","description":"Locale","maxLength":255,"minLength":0},"jobArea":{"type":"string","description":"Job area","maxLength":255,"minLength":0},"jobTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"dateOfBirth":{"type":"string","format":"date","description":"Date of birth"},"sortOrder":{"type":"integer","format":"int64","description":"Sort order."},"remark":{"type":"string","description":"Special remark.","maxLength":1024,"minLength":0},"contacts":{"type":"array","description":"List of contacts","items":{"$ref":"#/components/schemas/erp-account-Contact"}},"defaultContacts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-account-Contact"},"description":"Default contacts","readOnly":true},"initialContactTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"initialContactAt":{"type":"string","format":"date","description":"Initial contact at."},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this active?","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"defaultPerson":{"type":"boolean","default":false,"description":"Default contact person.","readOnly":true}},"required":["lastName"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-account-Contact":{"description":"Default contacts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"value":{"type":"string","description":"A Value","maxLength":255,"minLength":0},"typeId":{"type":"string","description":"Type identifier"},"type":{"type":"string","description":"Contact type","enum":["PHONE","SOCIAL","EMAIL","FAX","SKYPE","MS_TEAMS","CUSTOM","MOBILE"]},"label":{"type":"string","description":"Contact label","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"default":{"type":"boolean","default":false,"description":"Is default contact?"}},"required":["value"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/accounts/{id}/persons/{personId}/activate

>

```json
[...]
